{% extends "client/layout_client.html.twig" %}
{% block body %}
    <div class="container">
        <div class="row">
            {% for commande in commandes  %}
                <h2>Commande : {{ commande.id }}</h2>
                <table class="table table-bordered">
                    <thead class="thead-dark">
                        <th>Produit</th><th>Quantité</th><th>Prix</th>
                    </thead>
                    <tbody>
                    {% set prix_total = 0 %}
                    {% set quantite_total = 0 %}
                    {% for ligne in lignes %}
                        {% if ligne.commande == commande %}
                            {% set prix_total = prix_total + ligne.prix * ligne.quantite %}
                            {% set quantite_total = quantite_total + ligne.quantite %}
                            <tr>
                                <th>{{ ligne.produit.nom }}</th><th>{{ ligne.quantite }}</th><th>{{ ligne.prix }}</th>
                            </tr>

                        {% endif %}
                    {% endfor %}
                    </tbody>
                    <tfoot class="table-info">
                    <th>TOTAL</th><th>{{ quantite_total }}</th><th>{{ prix_total }}</th>
                    </tfoot>
                </table>
            {% endfor %}
        </div>
    </div>
{% endblock %}